Managed Databases

Update managed database

patch/managed-databases/{md_uuid}

Update the name, label or backup policy of a managed database.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

md_uuid*string

Request body

application/jsonRequired
name?string | null
Range2 ≤ length ≤ 60Rangepattern ^[a-z0-9][a-z0-9-]*[a-z0-9]$
label?string | null
Rangelength ≤ 255
backup?BackupPolicyUpdate | null
Properties (3)
enabled?boolean | null
schedule_cron?string | null
Range9 ≤ length ≤ 100
retention_days?integer | null
Range1 ≤ value ≤ 365

Responses

Successful Response

application/json

detail*string